//
//
//		player.cpp
//
//
#include <stdio.h>
#include "player.h"


//コンストラクタ
CPlayer::CPlayer()
{

	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;
}
//デストラクタ
CPlayer::~CPlayer()
{

}
//初期化処理
void CPlayer::Init()
{

	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;

}
//終了処理
void CPlayer::Uninit()
{

}
//入力処理
void CPlayer::Input()
{

	printf("※この先半角数字!!\n");

	//Lifeの入力
	do{

		printf("ライフ > ");

		//定数を入力
		scanf("%d",&m_nLife);	//nDataのアドレスに好きな数を代入
			
		rewind(stdin);			//標準出力に値を返す

		//scanfに不正な値が入力された場合もう一度実行
		if(m_nLife<0){
			
			printf("入力内容が間違っています\n");
	
		}

	}while(m_nLife<0);

	//Attackの入力
	do{

		printf("アタック > ");

		//定数を入力
		scanf("%d",&m_nAttack);	//nDataのアドレスに好きな数を代入
			
		rewind(stdin);				//標準出力に値を返す

		//scanfに不正な値が入力された場合もう一度実行
		if(m_nAttack<0){
			
			printf("入力内容が間違っています\n");
	
		}

	}while(m_nAttack<0);

	//Speedの入力
	do{

		printf("スピード > ");

		//定数を入力
		scanf("%d",&m_nSpeed);	//nDataのアドレスに好きな数を代入
			
		rewind(stdin);				//標準出力に値を返す

		//scanfに不正な値が入力された場合もう一度実行
		if(m_nSpeed<0){
			
			printf("入力内容が間違っています\n");
	
		}

	}while(m_nSpeed<0);

}
//出力処理
void CPlayer::Output( )
{

	//プレイヤーデータの出力
	printf("Life : %d \n",m_nLife);
	printf("Attack : %d \n",m_nAttack);
	printf("Speed : %d \n",m_nSpeed);

}
//ライフのセット
void CPlayer::SetLife( int nLife )
{
	m_nLife = nLife;
}
//ライフの取得
int CPlayer::GetLife( void )
{
	return m_nLife;
}
//アタックのセット
void CPlayer::SetAttack( int nAttack )
{
	m_nAttack = nAttack;
}
//アタックの取得
int CPlayer::GetAttack( void )
{
	return m_nAttack;
}
//スピードのセット
void CPlayer::SetSpeed( int nSpeed )
{
	m_nSpeed = nSpeed;
}
//スピードの取得
int CPlayer::GetSpeed( void )
{
	return m_nSpeed;
}


